import 'package:rasadyar_chicken/presentation/routes/routes.dart';
import 'package:rasadyar_core/core.dart';

class PoultryActionItem {
  final String title;
  final String route;
  final String icon;

  PoultryActionItem({required this.title, required this.route, required this.icon});
}

class PoultryActionLogic extends GetxController {
  RxList<PoultryActionItem> items = [
    PoultryActionItem(
      title: "بازرسی",
      route: ChickenRoutes.inspectionPoultryScience,
      icon: Assets.vec.chickenInspectionSvg.path,
    ),
    PoultryActionItem(
      title: "ثبت کشتار",
      route: ChickenRoutes.genocidePoultryScience,
      icon: Assets.vec.registerKillSvg.path,
    ),
    PoultryActionItem(
      title: "فارم ها",
      route: ChickenRoutes.farmPoultryScience,
      icon: Assets.vec.farmsSvg.path,
    ),
    PoultryActionItem(
      title: "جوجه ریزی فعال",
      route: ChickenRoutes.activeHatchingPoultryScience,
      icon: Assets.vec.activeFramSvg.path,
    ),
  ].obs;
}
